.\" Manpage for digidoc-tool
.TH digidoc-tool 1 "${BUILD_DATE}" "${VERSION}" "digidoc-tool man page"
.SH NAME
digidoc-tool \- open/create/verify BDoc format files
.SH SYNOPSIS
digidoc-tool COMMAND [OPTIONS FILE]
.SH OPTIONS
Command create:
  Example: digidoc-tool create --file=file1.txt --file=file2.txt --profile=TM demo-container.bdoc
  Available options:
    --file         - The option can occur multiple times. File(s) to be signed
    --city         - optional, city of production place
    --state        - optional, state of production place
    --postalCode   - optional, postalCode of production place
    --country      - optional, country of production place
    --role         - optional, option can occur multiple times. Signer role(s)
    --pkcs11Driver - optional, default is 'opensc-pkcs11.so'. Path of PKCS11 driver.
    --pin          - optional, default asks pin from prompt
    --profile      - optional, default TM. Signing profile, available values: BES, TM

Command open:
  Example: digidoc-tool open --list --validateOnline container-file.bdoc
  Available options:
    --extractAll      - extracts documents (to path when provided)
    --list            - lists documents and signatures
    --validateOnline  - Whether online validate all signatures

Command sign:
  Example: digidoc-tool sign --profile=TM demo-container.bdoc
  Available options:
    --city         - optional, city of production place
    --state        - optional, state of production place
    --postalCode   - optional, postalCode of production place
    --country      - optional, country of production place
    --role         - optional, option can occur multiple times. Signer role(s)
    --pkcs11Driver - optional, default is 'opensc-pkcs11.so'. Path of PKCS11 driver
    --pin          - optional, default asks pin from prompt
    --profile      - optional, default TM. Signing profile, available values: BES, TM
.SH SEE ALSO
cdigidoc(1), qdigidocclient(1), qdigidoccrypto(1), qesteidutil(1)
